Subject: Re: [BUG] `git clone '-c KEY=VALUE'` no longer works

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Nov 2025 09:08:32 -0800

Jeff King <[email-masked]> writes:

> I would be more sympathetic if the original report was "it is useful for
> so-and-so reason to do this whitespace stripping". But it really sounds
> like the problem was some caller doing something like (in perl
> pseudo-code):
>
>   system("git", "clone", "-c $key", $repo);
>
> instead of:
>
>   system("git", "clone", "-c", $key, $repo);
>
> which is just a bug that happened to work in this limited instance.
>
> So my inclination would be to leave it be, because I do not think it
> merits the time. But if somebody else wants to go for it, I will not
> stop them. ;)

;-)  I might, as it would consume my time as well as theirs.